SR API API Reference

Semantic Repository API

Request Content-Types: application/json
Response Content-Types: application/json
Schemes: http
Version: 1.0.0

Alignments

List alignments

GET /alignments

Lists alignment available in Semantic Repository.

200 OK

available alignments info

Response Example (200 OK)
[
  {
    "descId": "string",
    "id": "integer",
    "date": "integer",
    "sourceOntologyURI": "string",
    "targetOntologyURI": "string",
    "version": "string",
    "creator": "string",
    "description": "string"
  }
]

Upload a new alignment

POST /alignments

alignment configuration

Request Content-Types: application/xml
Request Example
{
  "name": "string",
  "version": "string",
  "creator": "string",
  "description": "string",
  "onto1": {
    "Ontology": {
      "about": "string"
    }
  },
  "onto2": {
    "Ontology": {
      "about": "string"
    }
  },
  "steps": {
    "step": {
      "cell": "string",
      "order": "integer"
    }
  },
  "map": {
    "Cell": {
      "entity1": {},
      "entity2": {},
      "relation": "string"
    }
  }
}
201 Created

Alignment uploaded successfully

400 Bad Request

alignment exists or wrong arguments

Response Content-Types: application/json
Response Example (201 Created)
{
  "message": "string"
}
Response Example (400 Bad Request)
{
  "message": "string"
}

Delete alignment identified by name+version

DELETE /alignments/delete/{name}/{version}
name: string
in path

Name of the alignment to delete

version: string
in path

Version of the alignment to delete

204 No Content

alignment deleted

400 Bad Request

alignment not found

500 Internal Server Error

alignment deletion failed

Response Example (400 Bad Request)
{
  "message": "string"
}
Response Example (500 Internal Server Error)
{
  "message": "string"
}

Get an alignment history identified by name

GET /alignments/history/{name}
name: string
in path

Name of the alignment to delete

200 OK

available alignments info

400 Bad Request

alignment not found

500 Internal Server Error

alignment history retrieval failed

Response Content-Types: application/json
Response Example (200 OK)
[
  {
    "descId": "string",
    "id": "integer",
    "date": "integer",
    "sourceOntologyURI": "string",
    "targetOntologyURI": "string",
    "version": "string",
    "creator": "string",
    "description": "string"
  }
]
Response Example (400 Bad Request)
{
  "message": "string"
}
Response Example (500 Internal Server Error)
{
  "message": "string"
}

Get an alignment identified by name+version

GET /alignments/get/{name}/{version}
name: string
in path

Name of the alignment to delete

version: string
in path

Version of the alignment to delete

Ontologies

List ontologies

GET /ontologies

List of ontologies available in the Semantic Repository

200 OK

array of ontology information

Response Example (200 OK)
[
  {
    "descId": "string",
    "id": "integer",
    "date": "integer",
    "baseURI": "string",
    "version": "string",
    "description": "string"
  }
]

Upload a new ontology

POST /ontologies

ontology configuration

Request Example
{
  "name": "string",
  "baseURI": "string",
  "version": "string",
  "description": "string",
  "owlSource": "string"
}
201 Created

Ontology created successfully

400 Bad Request

ontology exists or wrong arguments

Response Example (201 Created)
{
  "message": "string"
}
Response Example (400 Bad Request)
{
  "message": "string"
}

Delete ontology based on the ID

DELETE /ontologies/delete/{ontologyId}
ontologyId: integer
in path

ID of ontology to delete

204 No Content

ontology deleted

400 Bad Request

ontology not found

500 Internal Server Error

deleting ontology failed

Response Example (400 Bad Request)
{
  "message": "string"
}
Response Example (500 Internal Server Error)
{
  "message": "string"
}

Get ontology based on the ID

GET /ontologies/get/{ontologyId}
ontologyId: integer
in path

ID of ontology to be retrieved

200 OK

ontology returned

400 Bad Request

ontology not found

500 Internal Server Error

ontology retrieval failed

Response Content-Types: text/plain
Response Example (400 Bad Request)
{
  "message": "string"
}
Response Example (500 Internal Server Error)
{
  "message": "string"
}

Schema Definitions

Alignment: object

name: string

alignment name

version: string

alignment version

creator: string

alignment creator

description: string

alignment description

onto1: object

onto1

Ontology: object

about contains the URI identifying the ontology

about: string

URI identifying the ontology

onto2: object

onto2

Ontology: object

about contains the URI identifying the ontology

about: string

URI identifying the ontology

steps: object

steps

step: object

alignment step

cell: string

alignment cell id

order: integer

order of cell application

map: object

map

Cell: object

Cell

entity1: object

the first aligned ontology entity

entity2: object

the second aligned ontology entity

relation: string

relation

Example
{
  "name": "string",
  "version": "string",
  "creator": "string",
  "description": "string",
  "onto1": {
    "Ontology": {
      "about": "string"
    }
  },
  "onto2": {
    "Ontology": {
      "about": "string"
    }
  },
  "steps": {
    "step": {
      "cell": "string",
      "order": "integer"
    }
  },
  "map": {
    "Cell": {
      "entity1": {},
      "entity2": {},
      "relation": "string"
    }
  }
}

AlignmentData: object

descId: string

business identifier

id: integer

technical identifier

date: integer

UNIX timestamp of upload upload to the Semantic Repository

sourceOntologyURI: string

URI of the source ontology for alignment

targetOntologyURI: string

URI of the target ontology for alignment

version: string

alignment version

creator: string

alignment creator

description: string

alignment description

Example
{
  "descId": "string",
  "id": "integer",
  "date": "integer",
  "sourceOntologyURI": "string",
  "targetOntologyURI": "string",
  "version": "string",
  "creator": "string",
  "description": "string"
}

OntologyData: object

descId: string

business identifier

id: integer

technical identifier

date: integer

UNIX timestamp of ontology upload to the Semantic Repository

baseURI: string

URI of the ontology

version: string

version info

description: string

ontology description

Example
{
  "descId": "string",
  "id": "integer",
  "date": "integer",
  "baseURI": "string",
  "version": "string",
  "description": "string"
}

OntologyConfig: object

name: string

descriptive name of the ontology

baseURI: string

URI of the ontology

version: string

version info of the ontology

description: string

ontology description

owlSource: string

ontology content encoded in Base64.

Example
{
  "name": "string",
  "baseURI": "string",
  "version": "string",
  "description": "string",
  "owlSource": "string"
}

Error: object

message: string
Example
{
  "message": "string"
}

Response: object

message: string
Example
{
  "message": "string"
}